Update note
curl --request PATCH \
--url https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"background": "<string>",
"document": {
"type": "doc",
"content": [
{}
]
},
"revision": 2,
"parent": "01M6TF7X1MD67JKPT1BRPZSAJ6",
"key": "<string>"
}
'import requests
url = "https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry}"
payload = {
"title": "<string>",
"background": "<string>",
"document": {
"type": "doc",
"content": [{}]
},
"revision": 2,
"parent": "01M6TF7X1MD67JKPT1BRPZSAJ6",
"key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
background: '<string>',
document: {type: 'doc', content: [{}]},
revision: 2,
parent: '01M6TF7X1MD67JKPT1BRPZSAJ6',
key: '<string>'
})
};
fetch('https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'background' => '<string>',
'document' => [
'type' => 'doc',
'content' => [
[
]
]
],
'revision' => 2,
'parent' => '01M6TF7X1MD67JKPT1BRPZSAJ6',
'key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry}"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"background\": \"<string>\",\n \"document\": {\n \"type\": \"doc\",\n \"content\": [\n {}\n ]\n },\n \"revision\": 2,\n \"parent\": \"01M6TF7X1MD67JKPT1BRPZSAJ6\",\n \"key\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"background\": \"<string>\",\n \"document\": {\n \"type\": \"doc\",\n \"content\": [\n {}\n ]\n },\n \"revision\": 2,\n \"parent\": \"01M6TF7X1MD67JKPT1BRPZSAJ6\",\n \"key\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"background\": \"<string>\",\n \"document\": {\n \"type\": \"doc\",\n \"content\": [\n {}\n ]\n },\n \"revision\": 2,\n \"parent\": \"01M6TF7X1MD67JKPT1BRPZSAJ6\",\n \"key\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Notes
Update note
Requires a valid token for this workspace and the current account’s Studio permissions. Requires a read & write token. Writes are not automatically retried by the SDK.
PATCH
/
workspaces
/
{workspace}
/
notes
/
{entry}
Update note
curl --request PATCH \
--url https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"background": "<string>",
"document": {
"type": "doc",
"content": [
{}
]
},
"revision": 2,
"parent": "01M6TF7X1MD67JKPT1BRPZSAJ6",
"key": "<string>"
}
'import requests
url = "https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry}"
payload = {
"title": "<string>",
"background": "<string>",
"document": {
"type": "doc",
"content": [{}]
},
"revision": 2,
"parent": "01M6TF7X1MD67JKPT1BRPZSAJ6",
"key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
background: '<string>',
document: {type: 'doc', content: [{}]},
revision: 2,
parent: '01M6TF7X1MD67JKPT1BRPZSAJ6',
key: '<string>'
})
};
fetch('https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'background' => '<string>',
'document' => [
'type' => 'doc',
'content' => [
[
]
]
],
'revision' => 2,
'parent' => '01M6TF7X1MD67JKPT1BRPZSAJ6',
'key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry}"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"background\": \"<string>\",\n \"document\": {\n \"type\": \"doc\",\n \"content\": [\n {}\n ]\n },\n \"revision\": 2,\n \"parent\": \"01M6TF7X1MD67JKPT1BRPZSAJ6\",\n \"key\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"background\": \"<string>\",\n \"document\": {\n \"type\": \"doc\",\n \"content\": [\n {}\n ]\n },\n \"revision\": 2,\n \"parent\": \"01M6TF7X1MD67JKPT1BRPZSAJ6\",\n \"key\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://your-app.example/media-studio/rest/v1/workspaces/{workspace}/notes/{entry}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"background\": \"<string>\",\n \"document\": {\n \"type\": \"doc\",\n \"content\": [\n {}\n ]\n },\n \"revision\": 2,\n \"parent\": \"01M6TF7X1MD67JKPT1BRPZSAJ6\",\n \"key\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Authorizations
Path Parameters
Body
application/json
Response
Successful response.
The response is of type object.